com.mysql.cj.protocol

## Enum Protocol.ProtocolEventListener.EventType

- java.lang.Object
- - java.lang.Enum<Protocol.ProtocolEventListener.EventType>
  - - com.mysql.cj.protocol.Protocol.ProtocolEventListener.EventType

All Implemented Interfaces:
  Serializable, Comparable<Protocol.ProtocolEventListener.EventType>

Enclosing interface:
  Protocol.ProtocolEventListener

    public static enum Protocol.ProtocolEventListener.EventType
    extends Enum<Protocol.ProtocolEventListener.EventType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`SERVER_CLOSED_SESSION`
`SERVER_SHUTDOWN`

### Method Summary

All Methods Static Methods Concrete Methods
`static Protocol.ProtocolEventListener.EventType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Protocol.ProtocolEventListener.EventType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SERVER_SHUTDOWN

    public static final Protocol.ProtocolEventListener.EventType SERVER_SHUTDOWN

#### SERVER_CLOSED_SESSION

    public static final Protocol.ProtocolEventListener.EventType SERVER_CLOSED_SESSION

### Method Detail

#### values

    public static Protocol.ProtocolEventListener.EventType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Protocol.ProtocolEventListener.EventType c : Protocol.ProtocolEventListener.EventType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Protocol.ProtocolEventListener.EventType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

Copyright © 2016, 2024, Oracle and/or its affiliates.